Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002247graphvizBuild/Installpublic2013-01-31 15:302013-02-13 15:05
Reporterryandesign 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSOS XOS Version10.8.2
Summary0002247: Compiling without pangocairo fails when libLASi is installed
Descriptionmake[3]: *** No rule to make target `../../plugin/lasi/libgvplugin_lasi.la', needed by `dot_builtins'. Stop.
Steps To Reproduce1. install libLASi 1.1.1
2. with CPPFLAGS/LDFLAGS/CPATH/LIBRARY_PATH pointing to the directory where libLASI is installed, in the graphviz source directory, run ./configure --without-pangocairo && make
Additional InformationIn 2.28.0, there was no build failure. The presence of lasi was detected:

  lasi: Yes

And then nothing got built for it:

Making all in lasi
make[3]: Entering directory `/opt/local/var/macports/build/_Users_rschmidt_macports_dports_graphics_graphviz/graphviz/work/graphviz-2.28.0/plugin/lasi'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/opt/local/var/macports/build/_Users_rschmidt_macports_dports_graphics_graphviz/graphviz/work/graphviz-2.28.0/plugin/lasi'

I guess lasi requires pango? And should not be enabled when pango is explicitly disabled?
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED2013-02-13
FIX-COMMENTchangeset 9097:de3a65ca0929 : changes to configure.ac
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION2.31.20130123.0545
Attached Filesbz2 file icon main.log.bz2 [^] (32,376 bytes) 2013-01-31 15:30

- Relationships

-  Notes
User avatar (0000276)
ellson (administrator)
2013-01-31 16:23

Yes, lasi requires pango.

I added a check to configure.ac. Should be in tonight's snapshot.
User avatar (0000280)
ryandesign (reporter)
2013-02-04 18:41

Thanks. I've also fixed this in MacPorts now; see https://trac.macports.org/ticket/37865 [^]

- Issue History
Date Modified Username Field Change
2013-01-31 15:30 ryandesign New Issue
2013-01-31 15:30 ryandesign File Added: main.log.bz2
2013-01-31 16:23 ellson Note Added: 0000276
2013-02-04 18:41 ryandesign Note Added: 0000280
2013-02-13 15:05 ellson DATE-FIXED => 2013-02-13
2013-02-13 15:05 ellson FIX-COMMENT => changeset 9097:de3a65ca0929 : changes to configure.ac
2013-02-13 15:05 ellson Status new => resolved
2013-02-13 15:05 ellson Resolution open => fixed
2013-02-13 15:05 ellson Assigned To => ellson


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker